/*===========================================================================*/
/*   (Match/mexpand.scm)                                                     */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Match/mexpand.scm -indent -o objs/obj_u/Match/mexpand.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__match_expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__match_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__match_descriptionsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__match_s2cfunz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_expandzd2matchzd2casez00zz__match_expandz00(obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_patternzd2variableszd2zz__match_descriptionsz00(obj_t);
static obj_t BGl_zc3anonymousza31014ze3z83zz__match_expandz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2thezd2emptyzd2envza2z00zz__match_expandz00 = BUNSPEC;
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__expandzd2matchzd2casez00zz__match_expandz00(obj_t, obj_t);
extern obj_t BGl_normaliza7ezd2patternz75zz__match_normaliza7eza7(obj_t);
static obj_t BGl__expandzd2matchzd2lambdaz00zz__match_expandz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__match_expandz00();
extern obj_t string_to_symbol(char *);
extern obj_t BGl_pcompilez00zz__match_compilerz00(obj_t);
extern obj_t BGl_jimzd2gensymzd2zz__match_s2cfunz00;
static obj_t BGl_list1975z00zz__match_expandz00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__match_expandz00();
static obj_t BGl_list1977z00zz__match_expandz00 = BUNSPEC;
static obj_t BGl_list1984z00zz__match_expandz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31103ze3z83zz__match_expandz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__match_expandz00 = BUNSPEC;
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_symbol1986z00zz__match_expandz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_expandzd2matchzd2lambdaz00zz__match_expandz00(obj_t);
static obj_t BGl_symbol1985z00zz__match_expandz00 = BUNSPEC;
static obj_t BGl_symbol1983z00zz__match_expandz00 = BUNSPEC;
static obj_t BGl_symbol1981z00zz__match_expandz00 = BUNSPEC;
static obj_t BGl_symbol1980z00zz__match_expandz00 = BUNSPEC;
static obj_t BGl_symbol1978z00zz__match_expandz00 = BUNSPEC;
static obj_t BGl_symbol1976z00zz__match_expandz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__match_expandz00();
static obj_t BGl_fetchzd2prototypeszd2zz__match_expandz00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_expandzd2matchzd2lambdazd2envzd2zz__match_expandz00, BgL_bgl__expandza7d2matchza7d2lambdaza700za7za7__match_expandza7001993z00, BGl__expandzd2matchzd2lambdaz00zz__match_expandz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1982z00zz__match_expandz00, BgL_bgl_za7c3anonymousza7a31014za7e3za783za7za7__match_expandza7001994za7, BGl_zc3anonymousza31014ze3z83zz__match_expandz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2matchzd2casezd2envzd2zz__match_expandz00, BgL_bgl__expandza7d2matchza7d2caseza700za7za7__match_expandza7001995z00, BGl__expandzd2matchzd2casez00zz__match_expandz00, 0L, 1 );
DEFINE_STRING( BGl_string1979z00zz__match_expandz00, BgL_bgl_string1979za700za7za7__match_expandza7001996z00, "TAG-", 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__match_expandz00(long BgL_checksumz00_781, char * BgL_fromz00_782)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__match_expandz00))
{ 
BGl_requirezd2initializa7ationz75zz__match_expandz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__match_expandz00(); 
BGl_importedzd2moduleszd2initz00zz__match_expandz00(); 
BGl_toplevelzd2initzd2zz__match_expandz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__match_expandz00()
{ AN_OBJECT;
{ /* ./Match/mexpand.scm 27 */
BGl_symbol1976z00zz__match_expandz00 = 
string_to_symbol("not"); 
BGl_symbol1978z00zz__match_expandz00 = 
string_to_symbol("any"); 
BGl_list1977z00zz__match_expandz00 = 
MAKE_PAIR(BGl_symbol1978z00zz__match_expandz00, BNIL); 
{ /* ./Match/mexpand.scm 71 */
obj_t BgL_auxz00_792;
BgL_auxz00_792 = 
MAKE_PAIR(BGl_list1977z00zz__match_expandz00, BNIL); 
BGl_list1975z00zz__match_expandz00 = 
MAKE_PAIR(BGl_symbol1976z00zz__match_expandz00, BgL_auxz00_792); } 
BGl_symbol1980z00zz__match_expandz00 = 
string_to_symbol("else"); 
BGl_symbol1981z00zz__match_expandz00 = 
string_to_symbol("tagged-or"); 
BGl_symbol1983z00zz__match_expandz00 = 
string_to_symbol("labels"); 
BGl_symbol1985z00zz__match_expandz00 = 
string_to_symbol("t-or"); 
{ /* ./Match/mexpand.scm 118 */
obj_t BgL_auxz00_799;
BgL_auxz00_799 = 
MAKE_PAIR(BGl_symbol1981z00zz__match_expandz00, BNIL); 
BGl_list1984z00zz__match_expandz00 = 
MAKE_PAIR(BGl_symbol1985z00zz__match_expandz00, BgL_auxz00_799); } 
return ( 
BGl_symbol1986z00zz__match_expandz00 = 
string_to_symbol("match-lambda"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__match_expandz00()
{ AN_OBJECT;
{ /* ./Match/mexpand.scm 27 */
return ( 
BGl_za2thezd2emptyzd2envza2z00zz__match_expandz00 = BNIL, BUNSPEC) ;} 
}



/* expand-match-lambda */
BGL_EXPORTED_DEF obj_t BGl_expandzd2matchzd2lambdaz00zz__match_expandz00(obj_t BgL_expz00_1)
{ AN_OBJECT;
{ /* ./Match/mexpand.scm 67 */
{ 
obj_t BgL_clausesz00_381;obj_t BgL_kz00_382;
BgL_clausesz00_381 = 
CDR(BgL_expz00_1); 
BgL_kz00_382 = BGl_proc1982z00zz__match_expandz00; 
BgL_clauseszd2ze3patternz31_383:
if(
NULLP(BgL_clausesz00_381))
{ /* ./Match/mexpand.scm 70 */
return 
PROCEDURE_ENTRY(BgL_kz00_382)(BgL_kz00_382, BGl_list1975z00zz__match_expandz00, BNIL, BEOA);}  else 
{ /* ./Match/mexpand.scm 72 */
obj_t BgL_patternz00_417;obj_t BgL_actionsz00_418;obj_t BgL_restz00_419;
{ /* ./Match/mexpand.scm 72 */
obj_t BgL_auxz00_807;
BgL_auxz00_807 = 
CAR(BgL_clausesz00_381); 
BgL_patternz00_417 = 
CAR(BgL_auxz00_807); } 
{ /* ./Match/mexpand.scm 73 */
obj_t BgL_auxz00_810;
BgL_auxz00_810 = 
CAR(BgL_clausesz00_381); 
BgL_actionsz00_418 = 
CDR(BgL_auxz00_810); } 
BgL_restz00_419 = 
CDR(BgL_clausesz00_381); 
{ /* ./Match/mexpand.scm 75 */
obj_t BgL_tagz00_420;
BgL_tagz00_420 = 
PROCEDURE_ENTRY(BGl_jimzd2gensymzd2zz__match_s2cfunz00)(BGl_jimzd2gensymzd2zz__match_s2cfunz00, BGl_string1979z00zz__match_expandz00, BEOA); 
if(
(BgL_patternz00_417==BGl_symbol1980z00zz__match_expandz00))
{ /* ./Match/mexpand.scm 77 */
obj_t BgL_arg1068z00_422;obj_t BgL_arg1069z00_423;
{ /* ./Match/mexpand.scm 77 */
obj_t BgL_arg1073z00_424;obj_t BgL_arg1075z00_425;
BgL_arg1073z00_424 = BGl_symbol1981z00zz__match_expandz00; 
{ /* ./Match/mexpand.scm 77 */
obj_t BgL_arg1079z00_426;obj_t BgL_arg1080z00_427;
BgL_arg1079z00_426 = 
MAKE_PAIR(BGl_symbol1978z00zz__match_expandz00, BNIL); 
{ /* ./Match/mexpand.scm 77 */
obj_t BgL_arg1084z00_428;
{ /* ./Match/mexpand.scm 77 */
obj_t BgL_arg1087z00_429;
{ /* ./Match/mexpand.scm 77 */
obj_t BgL_arg1091z00_431;obj_t BgL_arg1092z00_432;
BgL_arg1091z00_431 = BGl_symbol1976z00zz__match_expandz00; 
{ /* ./Match/mexpand.scm 77 */
obj_t BgL_arg1095z00_433;
BgL_arg1095z00_433 = 
MAKE_PAIR(BGl_symbol1978z00zz__match_expandz00, BNIL); 
BgL_arg1092z00_432 = 
MAKE_PAIR(BgL_arg1095z00_433, BNIL); } 
BgL_arg1087z00_429 = 
MAKE_PAIR(BgL_arg1091z00_431, BgL_arg1092z00_432); } 
BgL_arg1084z00_428 = 
MAKE_PAIR(BgL_arg1087z00_429, BNIL); } 
BgL_arg1080z00_427 = 
MAKE_PAIR(BgL_tagz00_420, BgL_arg1084z00_428); } 
BgL_arg1075z00_425 = 
MAKE_PAIR(BgL_arg1079z00_426, BgL_arg1080z00_427); } 
BgL_arg1068z00_422 = 
MAKE_PAIR(BgL_arg1073z00_424, BgL_arg1075z00_425); } 
{ /* ./Match/mexpand.scm 78 */
obj_t BgL_arg1178z00_692;
BgL_arg1178z00_692 = 
MAKE_PAIR(BgL_tagz00_420, BgL_actionsz00_418); 
BgL_arg1069z00_423 = 
MAKE_PAIR(BgL_arg1178z00_692, BNIL); } 
return 
PROCEDURE_ENTRY(BgL_kz00_382)(BgL_kz00_382, BgL_arg1068z00_422, BgL_arg1069z00_423, BEOA);}  else 
{ /* ./Match/mexpand.scm 82 */
obj_t BgL_zc3anonymousza31103ze3z83_766;
{ 
int BgL_auxz00_832;int BgL_auxz00_830;
BgL_auxz00_832 = 
(int)(((long)4)); 
BgL_auxz00_830 = 
(int)(((long)2)); 
BgL_zc3anonymousza31103ze3z83_766 = 
make_fx_procedure(BGl_zc3anonymousza31103ze3z83zz__match_expandz00, BgL_auxz00_830, BgL_auxz00_832); } 
{ /* ./Match/mexpand.scm 82 */
int BgL_auxz00_835;
BgL_auxz00_835 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31103ze3z83_766, BgL_auxz00_835, BgL_patternz00_417); } 
{ /* ./Match/mexpand.scm 82 */
int BgL_auxz00_838;
BgL_auxz00_838 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31103ze3z83_766, BgL_auxz00_838, BgL_tagz00_420); } 
{ /* ./Match/mexpand.scm 82 */
int BgL_auxz00_841;
BgL_auxz00_841 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31103ze3z83_766, BgL_auxz00_841, BgL_actionsz00_418); } 
{ /* ./Match/mexpand.scm 82 */
int BgL_auxz00_844;
BgL_auxz00_844 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31103ze3z83_766, BgL_auxz00_844, BgL_kz00_382); } 
{ 
obj_t BgL_kz00_848;obj_t BgL_clausesz00_847;
BgL_clausesz00_847 = BgL_restz00_419; 
BgL_kz00_848 = BgL_zc3anonymousza31103ze3z83_766; 
BgL_kz00_382 = BgL_kz00_848; 
BgL_clausesz00_381 = BgL_clausesz00_847; 
goto BgL_clauseszd2ze3patternz31_383;} } } } } } 
}



/* _expand-match-lambda */
obj_t BGl__expandzd2matchzd2lambdaz00zz__match_expandz00(obj_t BgL_envz00_767, obj_t BgL_expz00_768)
{ AN_OBJECT;
{ /* ./Match/mexpand.scm 67 */
return 
BGl_expandzd2matchzd2lambdaz00zz__match_expandz00(BgL_expz00_768);} 
}



/* <anonymous:1014> */
obj_t BGl_zc3anonymousza31014ze3z83zz__match_expandz00(obj_t BgL_envz00_769, obj_t BgL_patz00_770, obj_t BgL_envz00_771)
{ AN_OBJECT;
{ /* ./Match/mexpand.scm 102 */
{ 
obj_t BgL_patz00_386;obj_t BgL_envz00_387;
BgL_patz00_386 = BgL_patz00_770; 
BgL_envz00_387 = BgL_envz00_771; 
{ /* ./Match/mexpand.scm 103 */
obj_t BgL_compiledzd2patzd2_389;obj_t BgL_prototypesz00_390;
BgL_compiledzd2patzd2_389 = 
BGl_pcompilez00zz__match_compilerz00(BgL_patz00_386); 
BgL_prototypesz00_390 = 
BGl_fetchzd2prototypeszd2zz__match_expandz00(BgL_patz00_386); 
{ /* ./Match/mexpand.scm 107 */
obj_t BgL_arg1016z00_391;obj_t BgL_arg1017z00_392;
BgL_arg1016z00_391 = BGl_symbol1983z00zz__match_expandz00; 
{ /* ./Match/mexpand.scm 108 */
obj_t BgL_arg1020z00_393;obj_t BgL_arg1021z00_394;
{ /* ./Match/mexpand.scm 108 */
obj_t BgL_arg1024z00_395;
if(
NULLP(BgL_prototypesz00_390))
{ /* ./Match/mexpand.scm 108 */
BgL_arg1024z00_395 = BNIL; }  else 
{ /* ./Match/mexpand.scm 108 */
obj_t BgL_head1005z00_399;
BgL_head1005z00_399 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1003z00_400;obj_t BgL_tail1006z00_401;
BgL_l1003z00_400 = BgL_prototypesz00_390; 
BgL_tail1006z00_401 = BgL_head1005z00_399; 
BgL_map1004z00_402:
if(
NULLP(BgL_l1003z00_400))
{ /* ./Match/mexpand.scm 108 */
BgL_arg1024z00_395 = 
CDR(BgL_head1005z00_399); }  else 
{ /* ./Match/mexpand.scm 110 */
obj_t BgL_newtail1007z00_404;
{ /* ./Match/mexpand.scm 110 */
obj_t BgL_arg1037z00_406;
{ /* ./Match/mexpand.scm 110 */
obj_t BgL_prototypez00_408;
BgL_prototypez00_408 = 
CAR(BgL_l1003z00_400); 
{ /* ./Match/mexpand.scm 110 */
obj_t BgL_arg1041z00_409;obj_t BgL_arg1042z00_410;
BgL_arg1041z00_409 = 
CAR(BgL_prototypez00_408); 
{ /* ./Match/mexpand.scm 111 */
obj_t BgL_auxz00_865;obj_t BgL_auxz00_861;
{ /* ./Match/mexpand.scm 112 */
obj_t BgL_auxz00_866;
BgL_auxz00_866 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_prototypez00_408), BgL_envz00_387); 
BgL_auxz00_865 = 
CDR(BgL_auxz00_866); } 
{ /* ./Match/mexpand.scm 111 */
obj_t BgL_auxz00_862;
BgL_auxz00_862 = 
CDR(BgL_prototypez00_408); 
BgL_auxz00_861 = 
CAR(BgL_auxz00_862); } 
BgL_arg1042z00_410 = 
MAKE_PAIR(BgL_auxz00_861, BgL_auxz00_865); } 
BgL_arg1037z00_406 = 
MAKE_PAIR(BgL_arg1041z00_409, BgL_arg1042z00_410); } } 
BgL_newtail1007z00_404 = 
MAKE_PAIR(BgL_arg1037z00_406, BNIL); } 
SET_CDR(BgL_tail1006z00_401, BgL_newtail1007z00_404); 
{ 
obj_t BgL_tail1006z00_876;obj_t BgL_l1003z00_874;
BgL_l1003z00_874 = 
CDR(BgL_l1003z00_400); 
BgL_tail1006z00_876 = BgL_newtail1007z00_404; 
BgL_tail1006z00_401 = BgL_tail1006z00_876; 
BgL_l1003z00_400 = BgL_l1003z00_874; 
goto BgL_map1004z00_402;} } } } 
BgL_arg1020z00_393 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1024z00_395, BNIL); } 
BgL_arg1021z00_394 = 
MAKE_PAIR(BgL_compiledzd2patzd2_389, BNIL); 
BgL_arg1017z00_392 = 
MAKE_PAIR(BgL_arg1020z00_393, BgL_arg1021z00_394); } 
return 
MAKE_PAIR(BgL_arg1016z00_391, BgL_arg1017z00_392);} } } } 
}



/* <anonymous:1103> */
obj_t BGl_zc3anonymousza31103ze3z83zz__match_expandz00(obj_t BgL_envz00_772, obj_t BgL_patz00_777, obj_t BgL_envz00_778)
{ AN_OBJECT;
{ /* ./Match/mexpand.scm 81 */
{ /* ./Match/mexpand.scm 82 */
obj_t BgL_patternz00_773;obj_t BgL_tagz00_774;obj_t BgL_actionsz00_775;obj_t BgL_kz00_776;
{ /* ./Match/mexpand.scm 82 */
int BgL_auxz00_881;
BgL_auxz00_881 = 
(int)(((long)0)); 
BgL_patternz00_773 = 
PROCEDURE_REF(BgL_envz00_772, BgL_auxz00_881); } 
{ /* ./Match/mexpand.scm 82 */
int BgL_auxz00_884;
BgL_auxz00_884 = 
(int)(((long)1)); 
BgL_tagz00_774 = 
PROCEDURE_REF(BgL_envz00_772, BgL_auxz00_884); } 
{ /* ./Match/mexpand.scm 82 */
int BgL_auxz00_887;
BgL_auxz00_887 = 
(int)(((long)2)); 
BgL_actionsz00_775 = 
PROCEDURE_REF(BgL_envz00_772, BgL_auxz00_887); } 
{ /* ./Match/mexpand.scm 82 */
int BgL_auxz00_890;
BgL_auxz00_890 = 
(int)(((long)3)); 
BgL_kz00_776 = 
PROCEDURE_REF(BgL_envz00_772, BgL_auxz00_890); } 
{ 
obj_t BgL_patz00_436;obj_t BgL_envz00_437;
BgL_patz00_436 = BgL_patz00_777; 
BgL_envz00_437 = BgL_envz00_778; 
{ /* ./Match/mexpand.scm 82 */
obj_t BgL_arg1105z00_693;obj_t BgL_arg1106z00_694;
{ /* ./Match/mexpand.scm 82 */
obj_t BgL_arg1109z00_695;obj_t BgL_arg1110z00_696;
BgL_arg1109z00_695 = BGl_symbol1981z00zz__match_expandz00; 
{ /* ./Match/mexpand.scm 82 */
obj_t BgL_arg1113z00_697;obj_t BgL_arg1114z00_698;
BgL_arg1113z00_697 = 
BGl_normaliza7ezd2patternz75zz__match_normaliza7eza7(BgL_patternz00_773); 
{ /* ./Match/mexpand.scm 82 */
obj_t BgL_arg1118z00_699;
BgL_arg1118z00_699 = 
MAKE_PAIR(BgL_patz00_436, BNIL); 
BgL_arg1114z00_698 = 
MAKE_PAIR(BgL_tagz00_774, BgL_arg1118z00_699); } 
BgL_arg1110z00_696 = 
MAKE_PAIR(BgL_arg1113z00_697, BgL_arg1114z00_698); } 
BgL_arg1105z00_693 = 
MAKE_PAIR(BgL_arg1109z00_695, BgL_arg1110z00_696); } 
{ /* ./Match/mexpand.scm 82 */
obj_t BgL_arg1178z00_703;
BgL_arg1178z00_703 = 
MAKE_PAIR(BgL_tagz00_774, BgL_actionsz00_775); 
BgL_arg1106z00_694 = 
MAKE_PAIR(BgL_arg1178z00_703, BgL_envz00_437); } 
return 
PROCEDURE_ENTRY(BgL_kz00_776)(BgL_kz00_776, BgL_arg1105z00_693, BgL_arg1106z00_694, BEOA);} } } } 
}



/* fetch-prototypes */
obj_t BGl_fetchzd2prototypeszd2zz__match_expandz00(obj_t BgL_patz00_2)
{ AN_OBJECT;
{ /* ./Match/mexpand.scm 117 */
{ /* ./Match/mexpand.scm 118 */
bool_t BgL_testz00_902;
{ /* ./Match/mexpand.scm 118 */
obj_t BgL_auxz00_903;
BgL_auxz00_903 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_patz00_2), BGl_list1984z00zz__match_expandz00); 
BgL_testz00_902 = 
CBOOL(BgL_auxz00_903); } 
if(BgL_testz00_902)
{ /* ./Match/mexpand.scm 119 */
obj_t BgL_arg1130z00_448;obj_t BgL_arg1131z00_449;
{ /* ./Match/mexpand.scm 119 */
obj_t BgL_arg1134z00_450;obj_t BgL_arg1135z00_451;
{ /* ./Match/mexpand.scm 119 */
obj_t BgL_auxz00_907;
{ /* ./Match/mexpand.scm 119 */
obj_t BgL_auxz00_908;
BgL_auxz00_908 = 
CDR(BgL_patz00_2); 
BgL_auxz00_907 = 
CDR(BgL_auxz00_908); } 
BgL_arg1134z00_450 = 
CAR(BgL_auxz00_907); } 
{ /* ./Match/mexpand.scm 119 */
obj_t BgL_auxz00_912;
{ /* ./Match/mexpand.scm 119 */
obj_t BgL_auxz00_913;
{ /* ./Match/mexpand.scm 119 */
obj_t BgL_auxz00_914;
BgL_auxz00_914 = 
CDR(BgL_patz00_2); 
BgL_auxz00_913 = 
CAR(BgL_auxz00_914); } 
BgL_auxz00_912 = 
BGl_patternzd2variableszd2zz__match_descriptionsz00(BgL_auxz00_913); } 
BgL_arg1135z00_451 = 
MAKE_PAIR(BgL_auxz00_912, BNIL); } 
BgL_arg1130z00_448 = 
MAKE_PAIR(BgL_arg1134z00_450, BgL_arg1135z00_451); } 
{ /* ./Match/mexpand.scm 120 */
obj_t BgL_auxz00_920;
{ /* ./Match/mexpand.scm 120 */
obj_t BgL_auxz00_921;
{ /* ./Match/mexpand.scm 120 */
obj_t BgL_auxz00_922;
{ /* ./Match/mexpand.scm 120 */
obj_t BgL_auxz00_923;
BgL_auxz00_923 = 
CDR(BgL_patz00_2); 
BgL_auxz00_922 = 
CDR(BgL_auxz00_923); } 
BgL_auxz00_921 = 
CDR(BgL_auxz00_922); } 
BgL_auxz00_920 = 
CAR(BgL_auxz00_921); } 
BgL_arg1131z00_449 = 
BGl_fetchzd2prototypeszd2zz__match_expandz00(BgL_auxz00_920); } 
return 
MAKE_PAIR(BgL_arg1130z00_448, BgL_arg1131z00_449);}  else 
{ /* ./Match/mexpand.scm 118 */
return BNIL;} } } 
}



/* expand-match-case */
BGL_EXPORTED_DEF obj_t BGl_expandzd2matchzd2casez00zz__match_expandz00(obj_t BgL_expz00_3)
{ AN_OBJECT;
{ /* ./Match/mexpand.scm 123 */
{ /* ./Match/mexpand.scm 124 */
obj_t BgL_arg1158z00_458;obj_t BgL_arg1160z00_459;
{ /* ./Match/mexpand.scm 124 */
obj_t BgL_arg1169z00_462;
{ /* ./Match/mexpand.scm 124 */
obj_t BgL_auxz00_930;
{ /* ./Match/mexpand.scm 124 */
obj_t BgL_auxz00_931;
BgL_auxz00_931 = 
CDR(BgL_expz00_3); 
BgL_auxz00_930 = 
CDR(BgL_auxz00_931); } 
BgL_arg1169z00_462 = 
MAKE_PAIR(BGl_symbol1986z00zz__match_expandz00, BgL_auxz00_930); } 
BgL_arg1158z00_458 = 
BGl_expandzd2matchzd2lambdaz00zz__match_expandz00(BgL_arg1169z00_462); } 
{ /* ./Match/mexpand.scm 125 */
obj_t BgL_auxz00_936;
BgL_auxz00_936 = 
CDR(BgL_expz00_3); 
BgL_arg1160z00_459 = 
CAR(BgL_auxz00_936); } 
{ /* ./Match/mexpand.scm 124 */
obj_t BgL_list1162z00_460;
{ /* ./Match/mexpand.scm 124 */
obj_t BgL_arg1164z00_461;
BgL_arg1164z00_461 = 
MAKE_PAIR(BgL_arg1160z00_459, BNIL); 
BgL_list1162z00_460 = 
MAKE_PAIR(BgL_arg1158z00_458, BgL_arg1164z00_461); } 
return BgL_list1162z00_460;} } } 
}



/* _expand-match-case */
obj_t BGl__expandzd2matchzd2casez00zz__match_expandz00(obj_t BgL_envz00_779, obj_t BgL_expz00_780)
{ AN_OBJECT;
{ /* ./Match/mexpand.scm 123 */
return 
BGl_expandzd2matchzd2casez00zz__match_expandz00(BgL_expz00_780);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__match_expandz00()
{ AN_OBJECT;
{ /* ./Match/mexpand.scm 27 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__match_expand"); 
BGl_modulezd2initializa7ationz75zz__match_compilerz00(((long)48462), "__match_expand"); 
BGl_modulezd2initializa7ationz75zz__match_descriptionsz00(((long)73334), "__match_expand"); 
BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(((long)48951), "__match_expand"); 
return 
BGl_modulezd2initializa7ationz75zz__match_s2cfunz00(((long)34527), "__match_expand");} 
}

